require('dotenv').config()
const { existsSync, writeFileSync, readFileSync } = require('fs')

const template = JSON.parse(readFileSync('electron/config.json.dist').toString())
let current = {}

if (existsSync('electron/config.json')) {
  current = JSON.parse(readFileSync('electron/config.json').toString())
}

const entries = Object.entries(template).map(([key, defaultValue]) => {
  let value = defaultValue

  if (current[key]) {
    value = current[key]
  }

  if (process.env[key]) {
    value = process.env[key]
  }

  return [key, value]
})

const compiled = Object.fromEntries(entries)

writeFileSync('electron/config.json', JSON.stringify(compiled))

