import React, { useState } from 'react'
import Button from '@material-ui/core/Button'

const AuthDialog = () => {
  const [error, setError] = useState<string | null>(null)

  return (
    <div style={{ textAlign: 'center' }}>
      {error && <div>Error: {error}</div>}
      <Button
        color="primary"
        variant="contained"
        style={{ color: 'white', margin: '16px auto' }}
        onClick={() => {
          try {
            window.api.loginWithKloke()
          } catch (e) {
            setError(e.message)
          }
        }}
      >
        Log In with Kloke
      </Button>
      <h2>Welcome to KlinkApp</h2>
    </div>
  )
}

export default AuthDialog
