import React from 'react'
import Table from '@material-ui/core/Table'
import TableBody from '@material-ui/core/TableBody'
import TableContainer from '@material-ui/core/TableContainer'
import TableHead from '@material-ui/core/TableHead'
import TableRow from '@material-ui/core/TableRow'
import Paper from '@material-ui/core/Paper'
import { StyledTableCell, useStyles } from './styles'
import { EditKlinkDetails } from '../../../common/types'
import { KlinkTableRow } from './KlinkTableRow'

type Props = {
  klinks: EditKlinkDetails[]
}

export const KlinkTable = ({ klinks }: Props) => {
  const classes = useStyles()

  return (
    <TableContainer component={Paper}>
      <Table className={classes.table} size="small">
        <TableHead>
          <TableRow>
            <StyledTableCell>Klink</StyledTableCell>
            <StyledTableCell align="right">Shared with</StyledTableCell>
            <StyledTableCell align="right">Notifications</StyledTableCell>
            <StyledTableCell align="right">Actions</StyledTableCell>
          </TableRow>
        </TableHead>
        <TableBody>
          {klinks.map((klink) => (
            <KlinkTableRow klink={klink} key={klink.token} />
          ))}
        </TableBody>
      </Table>
    </TableContainer>
  )
}
